#include "StdAfx.h"
#include "IPlatInterActiveEvent.h"
 
#include "VCDemoDlg.h"
 

CIPlatInterActiveEvent::CIPlatInterActiveEvent(CWnd* pParentWnd)
{
	m_pParentWnd = pParentWnd;
}

CIPlatInterActiveEvent::~CIPlatInterActiveEvent(void)
{
}

STDMETHODIMP CIPlatInterActiveEvent::OnInterfaceXMLResp(LONG nCode,LONG nParam, BSTR strXml)
{
	CVCDemoDlg* m_pHost = (CVCDemoDlg*)m_pParentWnd;
	m_pHost->OnInterfaceXMLResp(nCode,nParam,strXml);
	return S_OK;
}
STDMETHODIMP CIPlatInterActiveEvent::OnInterfaceDataResp(LONG nCode,BYTE* byteData)
{
	CVCDemoDlg* m_pHost = (CVCDemoDlg*)m_pParentWnd;
	m_pHost->OnInterfaceDataResp(nCode,byteData);
	return S_OK;
}
